Docs
Segments

Get a segment

GET/segments/{id}Needscontent.view

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Path Parameters

id*integer

The segment's id.

Range1 <= value

Response Body

OK

application/json
  1. response
segment*

A saved, reusable audience.

Shell
curl -X GET 'https://app.cueston.com/api/segments/1'
Example Response
JSON
{
  "segment": {
    "id": 42,
    "name": "Workspace admins",
    "description": "string",
    "rules": {
      "enabled": false,
      "matchType": "all",
      "rules": [
        {
          "id": "string",
          "attribute": "string",
          "operator": "equals",
          "value": "string",
          "key": "string"
        }
      ]
    },
    "createdBy": {
      "id": 42,
      "name": "Ada Lovelace"
    },
    "createdAt": "2026-10-26T09:30:00Z",
    "updatedAt": "2026-10-26T09:30:00Z",
    "usage": [
      {
        "type": "string",
        "id": 42,
        "name": "Onboarding tour"
      }
    ],
    "liveUsage": 0
  }
}